<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UniversityClassType](./bitburner.universityclasstype.md)

## UniversityClassType enum


**Signature:**

```typescript
declare enum UniversityClassType 
```

## Enumeration Members

|  Member | Value | Description |
|  --- | --- | --- |
|  algorithms | <code>&quot;Algorithms&quot;</code> |  |
|  computerScience | <code>&quot;Computer Science&quot;</code> |  |
|  dataStructures | <code>&quot;Data Structures&quot;</code> |  |
|  leadership | <code>&quot;Leadership&quot;</code> |  |
|  management | <code>&quot;Management&quot;</code> |  |
|  networks | <code>&quot;Networks&quot;</code> |  |

